Deactivate a DID
Deactivate a did:cheqd Decentralized Identifier (DID) using cheqd Studio.
When to Deactivate a DID
Security Requirement
How to Deactivate a DID
Authorizations
x-api-keystringRequired
Path parameters
didstringRequired
DID identifier to deactivate.
Body
publicKeyHexsstring[]Optional
List of key references (publicKeys) which will be used for signing the message. The should be in hexadecimal format and placed in the wallet of current user.
Responses
200
The request was successful.
application/json
@contextstringOptionalExample:
https://w3id.org/did-resolution/v1400
A problem with the input fields has occurred. Additional state information plus metadata may be available in the response body.
401
Access token is missing or invalid
500
An internal error has occurred. Additional state information plus metadata may be available in the response body.
post
/did/deactivate/{did}Last updated
Was this helpful?